Bug 977097 - Install JBoss Portal Platform as a Service in Red Hat Enterprise Linux
Install JBoss Portal Platform as a Service in Red Hat Enterprise Linux
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.0.0
Unspecified Linux
unspecified Severity low
: GA
: 6.1.0
Assigned To: mmurray
Tomas Kyjovsky
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-23 10:07 EDT by Marco Battaglia
Modified: 2015-08-09 21:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was discovered that the path where Portal Platform service configuration files should have been moved to was incorrect in the "Install JBoss Portal Platform as a Service in Red Hat Enterprise Linux" procedure. This could have caused issues with setting JBoss Portal Platform as a service in Red Hat Enterprise Linux. The file path declared in the procedure has been corrected to state the /etc/jboss-as/ directory location, which fixes the issue.
Story Points: ---
Clone Of:
Environment:
Instance Name: Not Defined Build: CSProcessor Builder Version 1.7 Build Name: 11942, Installation Guide-6-6.0.0 Build Date: 06-03-2013 11:14:23
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marco Battaglia 2013-06-23 10:07:14 EDT
Document URL: https://access.redhat.com/site/documentation/en-US/JBoss_Portal_Platform/6/pdf/Installation_Guide/JBoss_Portal_Platform-6-Installation_Guide-en-US.pdf

Section Number and Name: 4.7.Install JBoss Portal Platform as a Service in Red Hat Enterprise
Linux


Describe the issue: It's suggested to cp jboss-as.conf in /etc/init.d, but jboss-as-standalone.sh looks for the configuration file (by default) in /etc/jboss-as/jboss-as.conf

Suggestions for improvement: You can change suggest to cp jboss-as.conf in /etc/jboss-as/ or you can change line 20 of jboss-as-standalone.sh

Additional information:
Comment 1 Jared MORGAN 2013-06-25 23:10:59 EDT
Thanks for the feedback, Marco.

I've incorporated your changes, and will submit for QE review. These changes will be in the 6.1 beta release.
Comment 4 Dominik Pospisil 2013-10-07 10:19:01 EDT
The jboss-as-standalone.sh script still needs to be copied to /etc/init.d as chkconfig would not find it in /etc/jboss-as/. So

jboss-as.conf should be copied to /etc/jboss-as/
jboss-as-standalone.sh should be copied to /etc/init.d/


Also command

[user@host bin]$ sudo service jboss-as-standalone.sh start 	

seems incorrect. As the created service name is jboss-as-standalone, not jboss-as-standalone.sh

The correct command is:

[user@host bin]$ sudo service jboss-as-standalone start
Comment 5 Jared MORGAN 2013-10-11 00:43:36 EDT
http://docbuilder.usersys.redhat.com/18206/remarks/#Install_JBoss_Portal_Platform_as_a_Service_in_Red_Hat_Enterprise_Linux

I have made the changes as suggested. The build should be updated and available for verification in around 15 minutes from the timestamp of this comment.
Comment 6 Dominik Pospisil 2013-10-11 04:07:09 EDT
Looks good. Thanks!

Note You need to log in before you can comment on or make changes to this bug.